<div class="container">
  <br>
  <br>
  <div class="row">
    <div class="col-md-12">
      <h3 class="text-center">Please select one of the list</h3>
    </div>
  </div>
  <br>
  <div class="row text-center">
    <div class="col-md-3 offset-md-3">
      <button class="btn btn-primary" type="button" data-toggle="collapse" data-target="#employees" aria-expanded="false"
        aria-controls="employees">
        Show Employess list
      </button>
    </div>
    <div class="col-md-3">
      <button class="btn btn-primary" type="button" data-toggle="collapse" data-target="#managers" aria-expanded="false"
        aria-controls="managers">
        Show Managers list
      </button>
    </div>
  </div>
  <hr>
  <br>
  <div class="row collapse" id="employees">
    <div class="col-md-12">
      <h3 class="text-center">Employees list</h3>
    </div>
    <br>
    <br>
    <div class="col-md-12 text-center">
      <div class="table-responsive">
        <table class="table table-hover" *ngIf='employees && employees.length'>
          <thead class="thead-dark">
            <tr>
              <th style="width: 10%">Id</th>
              <th>Firstname</th>
              <th>Lastname</th>
              <th>Email</th>
              <th>Hiring date</th>
              <th style="width: 10%"></th>
              <th style="width: 10%"></th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor='let employee of employees'>
              <td style="width: 10%">{{employee.personId}}</td>
              <td>{{employee.firstName}}</td>
              <td>{{employee.lastName}}</td>
              <td>{{employee.email}}</td>
              <td>{{employee.hiringDate | date: 'dd-MM-yyyy'}}</td>
              <td style="width: 10%">
                <button class="btn btn-primary btn-block" type="button">Edit</button>
              </td>
              <td style="width: 10">
                <button class="btn btn-danger btn-block" type="button">Delete</button>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>
  <br>
  <div class="row collapse" id="managers">
    <div class="col-md-12">
      <h3 class="text-center">Managers list</h3>
    </div>
    <br>
    <br>
    <div class="col-md-12 text-center">
      <div class="table-responsive">
        <table class="table table-hover" *ngIf='managers && managers.length'>
          <thead class="thead-dark">
            <tr>
              <th style="width: 10%">Id</th>
              <th>Firstname</th>
              <th>Lastname</th>
              <th>Email</th>
              <th>Hiring date</th>
              <th>Contact phone</th>
              <th style="width: 10%"></th>
              <th style="width: 10%"></th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor='let manager of managers'>
              <td style="width: 10%">{{manager.personId}}</td>
              <td>{{manager.firstName}}</td>
              <td>{{manager.lastName}}</td>
              <td>{{manager.email}}</td>
              <td>{{manager.hiringDate | date: 'dd-MM-yyyy'}}</td>
              <td>{{manager.contactPhone}}</td>
              <td style="width: 10%">
                <button class="btn btn-primary btn-block" type="button">Edit</button>
              </td>
              <td style="width: 10">
                <button class="btn btn-danger btn-block" type="button">Delete</button>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>
